%define	major		0
%define apiver		2.6
%define libname		%mklibname %{name} %{apiver} %{major}
%define girname		%mklibname %{name}-gir %{apiver}
%define develname 	%mklibname %{name} -d

%define build_mono 1

%ifarch %mips %arm
%define build_mono 0
%endif

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:		The libGMIME library
Name:			gmime
Version:		2.6.23
Release:		%mkrel 2
License:		LGPLv2+
Group:			System/Libraries
URL:			http://spruce.sourceforge.net/gmime
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:			gmime-2.6.4-monoprefix.patch
Patch1:			gmime-2.6.17-temporarily-disable-failing-test.patch
BuildRequires:		pkgconfig(glib-2.0) >= 2.18.0
BuildRequires:		pkgconfig(libmcs)
BuildRequires:		pkgconfig(gobject-introspection-1.0)
BuildRequires:		gpgme-devel
BuildRequires:		vala-devel
# Some tests require /usr/bin/gpg
BuildRequires:		gnupg

%if %{build_mono}
BuildRequires:		pkgconfig(mono)
BuildRequires:		pkgconfig(glib-sharp-2.0) >= 2.4.0
BuildRequires:		pkgconfig(gapi-2.0)
%endif

%description
This library allows you to manipulate MIME messages.

%package -n %{name}-utils
Summary:	Utilities using the libGMIME library
Group:		File tools

%description -n %{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package.

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{girname}
Summary:	GObject Introspection interface description for GMime
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GMime.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep
%setup -q
%patch1 -p1 -b .testfail

%build
%configure2_5x --disable-static

#gw parallel build broken in 2.1.15
# (tpg) mono stuff doesn't like parallel build, this solves it
make

%check
make check

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_libdir}/gmimeConf.sh
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GMime-%{apiver}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog PORTING README TODO
%doc %{_datadir}/gtk-doc/html/%{name}-%{apiver}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%{_datadir}/gir-1.0/GMime-%{apiver}.gir
%{_datadir}/vala/vapi/gmime-%{apiver}.*

%if %{build_mono}
%{_datadir}/gapi-2.0/gmime-api.xml

%files sharp
%{_prefix}/lib/mono/gac/%{name}-sharp
%{_prefix}/lib/mono/%{name}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{name}-sharp-%{apiver}.pc
%endif


%changelog
* Sat May 27 2017 pterjan <pterjan> 2.6.23-2.mga6
+ Revision: 1105091
- Require gnupg for tests (fixes build)

* Sun Feb 19 2017 ovitters <ovitters> 2.6.23-1.mga6
+ Revision: 1086909
- new version 2.6.23

* Sun Feb 14 2016 umeabot <umeabot> 2.6.20-6.mga6
+ Revision: 960307
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 2.6.20-5.mga6
+ Revision: 847385
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 2.6.20-4.mga5
+ Revision: 740344
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.6.20-3.mga5
+ Revision: 731142
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 2.6.20-2.mga5
+ Revision: 679669
- Mageia 5 Mass Rebuild

* Wed Feb 19 2014 ovitters <ovitters> 2.6.20-1.mga5
+ Revision: 594779
- new version 2.6.20

* Mon Oct 21 2013 ovitters <ovitters> 2.6.19-1.mga4
+ Revision: 537740
- new version 2.6.19

* Sat Oct 19 2013 umeabot <umeabot> 2.6.18-2.mga4
+ Revision: 534946
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 ovitters <ovitters> 2.6.18-1.mga4
+ Revision: 480230
- new version 2.6.18

* Fri Aug 09 2013 wally <wally> 2.6.17-1.mga4
+ Revision: 465030
- temporarily disable failing mime test
- build vala bindings and with gobject-introspection

  + ovitters <ovitters>
    - new version 2.6.17

* Sun Jun 30 2013 ovitters <ovitters> 2.6.16-1.mga4
+ Revision: 448628
- new version 2.6.16

* Tue Feb 19 2013 ovitters <ovitters> 2.6.15-1.mga4
+ Revision: 399426
- new version 2.6.15
- new version 2.6.14

* Mon Jan 14 2013 rtp <rtp> 2.6.13-3.mga3
+ Revision: 385406
- fix build without mono

* Sat Jan 12 2013 umeabot <umeabot> 2.6.13-2.mga3
+ Revision: 351869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 ovitters <ovitters> 2.6.13-1.mga3
+ Revision: 329201
- new version 2.6.13

* Thu Nov 08 2012 fwang <fwang> 2.6.12-1.mga3
+ Revision: 316321
- new version 2.6.12

* Fri Oct 19 2012 ovitters <ovitters> 2.6.11-1.mga3
+ Revision: 308111
- new version 2.6.11

* Thu Jun 14 2012 ovitters <ovitters> 2.6.10-1.mga3
+ Revision: 260417
- new version 2.6.10

* Sun Apr 22 2012 ovitters <ovitters> 2.6.9-1.mga2
+ Revision: 232677
- new version 2.6.9

* Fri Apr 20 2012 boklm <boklm> 2.6.8-2.mga2
+ Revision: 231973
- rebuild to fix package signature problem

* Fri Apr 20 2012 ovitters <ovitters> 2.6.8-1.mga2
+ Revision: 231936
- new version 2.6.8

* Tue Mar 13 2012 ovitters <ovitters> 2.6.7-1.mga2
+ Revision: 223287
- new version 2.6.7

* Wed Feb 22 2012 ovitters <ovitters> 2.6.6-1.mga2
+ Revision: 212357
- new version

* Tue Feb 21 2012 fwang <fwang> 2.6.5-1.mga2
+ Revision: 211380
- update file list
- update file list
- new version 2.6.5

* Mon Feb 06 2012 fwang <fwang> 2.6.4-2.mga2
+ Revision: 205483
- fix mono prefix

* Mon Jan 09 2012 fwang <fwang> 2.6.4-1.mga2
+ Revision: 193686
- move mono packages
- upstream already pushed new binary name
- new version 2.6.4

* Sat Dec 24 2011 wally <wally> 2.6.3-1.mga2
+ Revision: 187148
- new version 2.6.3

* Sun Dec 18 2011 fwang <fwang> 2.6.2-1.mga2
+ Revision: 183484
- new version 2.6.2

* Sun Nov 06 2011 wally <wally> 2.6.1-1.mga2
+ Revision: 164425
- new version 2.6.1
- new version 2.5.10
- new version 2.5.9
- new api 2.6 and major 0
- disable static build
- don't regenerate gtk-docs
- drop old provides
- clean BRs and use pkgconfig style if possible
- clean .spec

  + fwang <fwang>
    - new version 2.6.0

* Wed Jun 29 2011 fwang <fwang> 2.4.25-1.mga2
+ Revision: 115568
- new version 2.4.25

* Thu Mar 24 2011 boklm <boklm> 2.4.23-2.mga1
+ Revision: 76146
- rebuild for bug #497

* Wed Mar 09 2011 eandry <eandry> 2.4.23-1.mga1
+ Revision: 67028
- New version 2.4.23
- clean spec

* Sun Jan 23 2011 pterjan <pterjan> 2.4.21-1.mga1
+ Revision: 35322
- Drop old scriptlets
- imported package gmime

